> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnplayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Caption

> Get captions file for a video in a specific language



## OpenAPI

````yaml GET /video/{id}/captions/{srclang}
openapi: 3.1.0
info:
  title: PN Player API documentation
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pnplayer.com/v1/api
security:
  - bearerAuth: []
paths:
  /video/{id}/captions/{srclang}:
    get:
      description: Get captions file for a video in a specific language
      parameters:
        - name: videoId
          in: path
          description: ID of the video
          required: true
          schema:
            type: string
        - name: srclang
          in: path
          description: Source language of the captions
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Captions file in text/plain format
          content:
            text/plain:
              schema:
                type: string
                format: binary
                description: The captions file content
          headers:
            Content-Length:
              description: Length of the file in bytes
              schema:
                type: string
            Content-Type:
              description: MIME type of the file
              schema:
                type: string
                example: text/plain
        '404':
          description: Captions not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````